*2 データのインポート
*サンプルデータを読み込み
webuse nhanes2, clear

*使用する変数の内容を確認
describe highbp age weight
summarize highbp age weight

*svysetを実行して調査の重みが設定されていることを確認
svyset


*3 ロジスティック回帰を実行
svy: logistic highbp age weight c.age#c.weight

*モデルから予測
*予測データをpredictions.dtaとして保存
quietly margins, at(age=(20(5)80) weight=(40(5)180)) ///
vce(unconditional) saving(predictions, replace)

*predictions.dtaを読み込み
use predictions, clear

*内容確認
list _at1 _at2 _margin in 1/5

*変数名を分かりやすいものに変更し、上書き保存
rename _at1 age
rename _at2 weight
rename _margin pr_highbp
save predictions, replace

*Excelファイルとしてエクスポート
*1行目が変数名
export excel age weight pr_highbp using "predictions", firstrow(variables)


*4 カラーマップ等高線図の作成
*基本の作図
twoway contour pr_highbp weight age

*カラーマップの刻みや軸のラベル、タイトルなどをカスタマイズ
twoway  (contour pr_highbp weight age, ccuts(0(0.1)1.0)), ///
	xlabel(20(10)80) ///
	ylabel(40(20)180, angle(horizontal)) ///
	xtitle("Age (years)") ///
	ytitle("Weight (kg)") ///
	ztitle("Predicted probability of hypertension") ///
	title("Predicted probability of hypertension by age and weight")